<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Автобусы владельца</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark"><br>
            <div class="collapse navbar-collapse" id="collapsibleNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="main">Главная</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="owners">Владельцы</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="buses">Автобусы</a>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
    <div class="container mt-3 mb-5">
        <h4 th:text="${owner.name} + ' ' + ${owner.surname}"></h4>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th>№</th>
                <th>Название</th>
                <th>Модель</th>
                <th>Количество мест</th>
                <th>Обьем двигателя</th>
                <th>Расход топлива(л/100км)</th>
                <th>Номер</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="b : ${owner.buses}">
                <td th:text="${b.id}"></td>
                <td th:text="${b.name}"></td>
                <td th:text="${b.model}"></td>
                <td th:text="${b.numberOfSeats}"></td>
                <td th:text="${b.engineVolume}"></td>
                <td th:text="${b.getFuelConsumption()}"></td>
                <td th:text="${b.transportNumber}"></td>
            </tr>
            </tbody>
        </table>
    </div>
</body>
</html>